import plotly.express as px
import pandas as pd
import sqlite3

print('getting data..')
filename = r"C:\dev\hotspot\fire_db.db"
sql = ("Select distinct latitude,"
       " longitude,"
       " bright_t31,"
       " frp,"
       " acq_date"
       " From suomi_c2"
       " Where longitude between 133.266 and 152.889"
       " and latitude between -39.272 and -28.439"
       " and acq_date = '2022-04-05'")
try:
    cnn = sqlite3.connect(filename)
    df = pd.read_sql(sql, cnn)
    print(df.head(10))
    print(df.tail(10))
    fig = px.scatter_mapbox(df,
                            lon = df['longitude'],
                            lat = df['latitude'],
                            zoom = 5,
                            color = df['bright_t31'],
                            size = df['frp'],
                            width = 900,
                            height = 600,
                            title = 'NSW Wildland Fire Apr 2022'
                            )
    fig.update_layout(mapbox_style = "open-street-map")
    fig.update_layout(margin = {"r":0,"t":50,"l":0,"b":10})
    fig.write_html('myfiremap.html')
    print('plot complete..')
except Exception as e:
    print(e)
finally:
    if cnn:
        cnn.close()
        print('connection closed..')
print('done.')
